# Uses of Interface
org.springframework.core.env.Profiles

Packages that use Profiles
Package
Description
org.springframework.core.env
Spring's environment abstraction consisting of bean definition profile and hierarchical property source support.

## Uses of Profiles in org.springframework.core.env

Methods in org.springframework.core.env that return Profiles
Modifier and Type
Method
Description
`static Profiles`
Profiles.`of(String... profileExpressions)`
Create a new `Profiles` instance that checks for matches against the given profile expressions.
Methods in org.springframework.core.env with parameters of type Profiles
Modifier and Type
Method
Description
`boolean`
AbstractEnvironment.`acceptsProfiles(Profiles profiles)`
`boolean`
Environment.`acceptsProfiles(Profiles profiles)`
Determine whether the given `Profiles` predicate matches the active profiles — or in the case of no explicit active profiles, whether the given `Profiles` predicate matches the default profiles.